Description

All scrobbles in the scrobble.log should be sent in a single request.

If the log contains more than 50 tracks, send them 50 at a time.

This also implies further interpreting the results received from last.fm. See http://www.last.fm/api/show/track.scrobble. Tracks ignored

because the daily scrobble limit was exceeded (ignoredMessage code="5") should be kept and retried later.

History

#1 - October 28, 2013 02:22 - Luís Picciochi

- Subject changed from Scrobble up to 50 cached tracks in a row to Scrobble up to 50 old, cached tracks in a row

last.fm does not allow scrobbling tracks with a timestamp older than 2 weeks. See:

8 Sep 2008 - «partial scrobbling failure asfter a month offline»

18 Feb 2013 - «Two Week Limit on iPod Scrobbles???»

iPod Scrobbling FAQ - How long can I wait to scrobble tracks from my iPod?

Apparently, on the iPod, they seem to scrobble all plays of the same track with the same timestamp, which although not ideal, might help mitigate that

2-week issue.

I started a quick implementation to allow us not to lose old tracks. It's not what I'd call an ideal solution, but it may work.

What this implementation does is retry rejected, old scrobbles, with a timestamp refreshed to "now".

This might get track plays in a different order they were played, but I prefer having that than to lose them.

#2 - October 28, 2013 02:35 - Luís Picciochi

The previous comment is related with this issue (50 tracks in a row might quite well contain older-than-2-weeks-tracks).

However, it would fit better on #263, which is more dependent on old scrobbles working than this one.

#3 - July 18, 2015 18:40 - John Lindgren

- Status changed from New to Rejected

Closing old scrobbler "TODO" items since Luís has not been actively working on the plugin for a while now.
